Fractal_UK

[0.25]KSP Interstellar (Magnetic Nozzles, ISRU Revamp) Version 0.13

Recommended Posts

2 hours ago, Galacticvoyager said:

does this work with 1.0.5?

For 1.0.5 you need to look for Interstellar Extended.

Share this post


Link to post
Share on other sites

Why people keep posting here? This is outdated mod.

Also posting it, so I can instantly go to newest KSP Interstellar version, in case Google hides it from search results.

 

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.